using System;
using System.Data;

namespace PrikladyZive61
{
	/// <summary>
	/// Priklad na praci s objektem DataTable
	/// </summary>
	public class BuildingTable
	{
		public static void RunBuilding()
		{
			DataTable lTable = BuildTable();
			FillTable(lTable);
			PrintTable(lTable);
		}

		//vytvori objekt DataTable
		static DataTable BuildTable()
		{
			DataTable lTable = new DataTable("Employees");
			DataColumn lIDCol = lTable.Columns.Add("ID", typeof(Int32));
			lIDCol.AllowDBNull = false;
			lIDCol.Unique = true;
			lIDCol.AutoIncrement = true;
			lTable.Columns.Add("FirstName", typeof(String));
			lTable.Columns.Add("SurName", typeof(String));

			return lTable;
		}

		//vytvori zaznamy do objektu DataTable
		static void FillTable(DataTable table)
		{
			DataRow lPusRow = table.NewRow();
			lPusRow["FirstName"] = "Petr";
			lPusRow["SurName"] = "Pus";

			DataRow lRacekRow = table.NewRow();
			lRacekRow["FirstName"] = "Michal";
			lRacekRow["SurName"] = "Racek";

			table.Rows.Add(lPusRow);
			table.Rows.Add(lRacekRow);
		}

		//vypise obsah objektu DataTable
		static void PrintTable(DataTable table)
		{
			foreach(DataRow lRow in table.Rows)
			{
				foreach(DataColumn lCol in table.Columns)
				{
					Console.Write("{0} - {1}, ", lCol.ColumnName, lRow[lCol]);
				}
				Console.WriteLine();
			}
		}
	}
}
